## GdaRow GdaRow — Individual row of a GdaDataModelArray object |

## Stability Level

Stable, unless otherwise indicated

## Functions

GdaRow * | gda_row_new ()
gint | gda_row_get_length ()
GValue * | gda_row_get_value ()

## Properties

gint | nb-values | Write

## Types and Values

struct | GdaRow

## Object Hierarchy

        GObject
        ╰── GdaRow

## Description

The GdaDataModelArray object uses GdaRow to store each row of data. Each GdaRow has the same number of GValue values (equal to the number of columns of the data model).

As a side note, the GdaRow object is also used internally by the implementation of the data models returned when executing a SELECT statement.

## Functions

### gda_row_new ()

    GdaRow *
    gda_row_new (gint count);

Creates a GdaRow which can hold `count` GValue values.

#### Parameters

count | number of GValue in the new GdaRow. |

#### Returns

a newly allocated GdaRow object.

### gda_row_get_length ()

    gint
    gda_row_get_length (GdaRow *row);

#### Parameters

row | a GdaRow. |

#### Returns

the number of columns that the `row` has.

### gda_row_get_value ()

    GValue *
    gda_row_get_value (GdaRow *row,
                       gint num);

Gets a pointer to a GValue stored in a GdaRow.

This is a pointer to the internal array of values. Don't try to free or modify it (modifying is reserved to database provider's implementations).

#### Parameters

row | a GdaRow |
num | field index. |

#### Returns

a pointer to the GValue in the position `num` of `row` .

[allow-none][transfer none]

## Types and Values

### struct GdaRow

    struct GdaRow;

## Property Details

### The `“nb-values”` property

      “nb-values”                gint

Number of values in the row.

Flags: Write

Allowed values: >= 1

Default value: 1

## See Also

GdaDataModelArray